<?php

lt_include(PLOG_CLASS_PATH.'class/action/admin/adminaction.class.php');
lt_include(PLOG_CLASS_PATH.'class/view/admin/adminplugintemplatedview.class.php');
lt_include(PLOG_CLASS_PATH.'plugins/googleadsense/class/view/plugingoogleadsenseconfigview.class.php');

// shows a form with the current configuration
class PluginGoogleAdsenseConfigAction extends AdminAction
{
	function PluginGoogleAdsenseConfigAction($actionInfo, $request)
	{
		$this->AdminAction($actionInfo, $request);
	}

	function perform()
	{
        $this->_view = new PluginGoogleAdsenseConfigView($this->_blogInfo);
		$this->setCommonData();
		return true;
	}
}

?>
